Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.crm
Class GlobalBlackList

    java.lang.Object
      com.knowgate.crm.GlobalBlackList

    public class GlobalBlackList

extends java.lang.Object

Constructor Summary
`GlobalBlackList()`

Method Summary
`static void` | `add(JDCConnection oConn, int nDomain, java.lang.String sEMail)` Add an e-mail addresses to the global black list of a Domain
`static void` | `add(JDCConnection oConn, int nDomain, java.lang.String sWrkA, java.lang.String sEMail)` Add an e-mail addresses to the global black list of a Work Area
`static java.lang.String[]` | `forDomain(JDCConnection oConn, int nDomain)` Array of e-mail addresses which must never receive any message
`static java.lang.String[]` | `forWorkArea(JDCConnection oConn, java.lang.String sGuWorkArea)` Array of e-mail addresses which must never receive any message
`static void` | `remove(JDCConnection oConn, int nDomain, java.lang.String sEMail)` Remove an e-mail addresses from the global black list of a Domain

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalBlackList

    public GlobalBlackList()

Method Detail

### forDomain

    public static java.lang.String[] forDomain(JDCConnection oConn,
                                               int nDomain)
                                        throws java.sql.SQLException

  Array of e-mail addresses which must never receive any message

  Parameters:
    `oConn` - JDCConnection
    `nDomain` - int Domain Unique Identifier (from k_domains table)
  Throws:
    `java.sql.SQLException`

### forWorkArea

    public static java.lang.String[] forWorkArea(JDCConnection oConn,
                                                 java.lang.String sGuWorkArea)
                                          throws java.sql.SQLException

  Array of e-mail addresses which must never receive any message

  Parameters:
    `oConn` - JDCConnection
    `nDomain` - int Domain Unique Identifier (from k_domains table)
  Throws:
    `java.sql.SQLException`

### add

    public static void add(JDCConnection oConn,
                           int nDomain,
                           java.lang.String sEMail)
                    throws java.sql.SQLException

  Add an e-mail addresses to the global black list of a Domain

  Parameters:
    `oConn` - JDCConnection
    `nDomain` - int Domain Unique Identifier (from k_domains table)
    `sEMail` - String e-mail address to be added
  Throws:
    `java.sql.SQLException`

### add

    public static void add(JDCConnection oConn,
                           int nDomain,
                           java.lang.String sWrkA,
                           java.lang.String sEMail)
                    throws java.sql.SQLException

  Add an e-mail addresses to the global black list of a Work Area

  Parameters:
    `oConn` - JDCConnection
    `nDomain` - int Domain Unique Identifier (from k_domains table)
    `sEMail` - String e-mail address to be added
  Throws:
    `java.sql.SQLException`

### remove

    public static void remove(JDCConnection oConn,
                              int nDomain,
                              java.lang.String sEMail)
                       throws java.sql.SQLException

  Remove an e-mail addresses from the global black list of a Domain

  Parameters:
    `oConn` - JDCConnection
    `nDomain` - int Domain Unique Identifier (from k_domains table)
    `sEMail` - String e-mail address to be removed
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD